package com.bankaudit.process.model;

import java.io.Serializable;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;

@Entity
@Table(name="audit_grading_qsn_dtls")
public class AuditGradingQsnDtls implements Serializable{
	
 	private static final long serialVersionUID = 6968947299383338020L;

	@Id
	@Column(name="legal_entity_code")
	private Integer legalEntityCode;
	
	@Id
	@Column(name="audit_type_code")
	private String auditTypeCode;
	
	@Id
	@Column(name="audit_id")
	private String auditId;
		 	
	@Column(name="display_sequence")
	private Integer displaySequence;
	
	@Column(name="display_sequence_ref")
	private String displaySequenceRef;
	
	@Id
	@Column(name="display_sequence_id")
	private String displaySequenceId;
	
	@Column(name="qsn_content_type")
	private String qsnContentType;
	
	@Column(name="qsn_content")
	private String qsnContent;
	
	@Column(name="qsn_value_type")
	private String qsnValueType;
	
	@Column(name="qsn_value")
	private String qsnValue;
	
	@Column(name="qsn_value_dynamic_fetch")
	private String qsnValueDynamicFetch;
	
	@Column(name="qsn_value_dynamic_update_stage1")
	private String qsnValueDynamicUpdateStage1;	
	
	@Column(name="qsn_reference_stage1")
	private String qsnReferenceStage1;	
	
	@Column(name="qsn_value_dynamic_update_RO")
	private String qsnValueDynamicUpdateRO;
	
	@Column(name="qsn_reference_RO")
	private String qsnReferenceRO;
	
	@Column(name="qsn_value_dynamic_update_stage1_HO")
	private String qsnValueDynamicUpdateStage1HO;
	
	@Column(name="qsn_reference_stage1_HO")
	private String qsnReferenceStage1HO;	
	
	@Column(name="qsn_value_dynamic_update_HO")
	private String qsnValueDynamicUpdateHO;
	
	@Column(name="qsn_reference_HO")
	private String qsnReferenceHO;
	
	@Column(name="checkbox")
	private String checkbox;
	
	@Column(name="checkbox_value")
	private String checkboxValue;
	
	@Column(name="checkbox_HO")
	private String checkboxHO;
	
	@Column(name="checkbox_value_HO")
	private String checkboxValueHO;
	
	private transient String statusUpdate;

	public Integer getLegalEntityCode() {
		return legalEntityCode;
	}

	public void setLegalEntityCode(Integer legalEntityCode) {
		this.legalEntityCode = legalEntityCode;
	}

	public String getAuditTypeCode() {
		return auditTypeCode;
	}

	public void setAuditTypeCode(String auditTypeCode) {
		this.auditTypeCode = auditTypeCode;
	}

	public String getAuditId() {
		return auditId;
	}

	public void setAuditId(String auditId) {
		this.auditId = auditId;
	}

	public Integer getDisplaySequence() {
		return displaySequence;
	}

	public void setDisplaySequence(Integer displaySequence) {
		this.displaySequence = displaySequence;
	}

	public String getDisplaySequenceRef() {
		return displaySequenceRef;
	}

	public void setDisplaySequenceRef(String displaySequenceRef) {
		this.displaySequenceRef = displaySequenceRef;
	}

	public String getDisplaySequenceId() {
		return displaySequenceId;
	}

	public void setDisplaySequenceId(String displaySequenceId) {
		this.displaySequenceId = displaySequenceId;
	}

	public String getQsnContentType() {
		return qsnContentType;
	}

	public void setQsnContentType(String qsnContentType) {
		this.qsnContentType = qsnContentType;
	}

	public String getQsnContent() {
		return qsnContent;
	}

	public void setQsnContent(String qsnContent) {
		this.qsnContent = qsnContent;
	}

	public String getQsnValueType() {
		return qsnValueType;
	}

	public void setQsnValueType(String qsnValueType) {
		this.qsnValueType = qsnValueType;
	}

	public String getQsnValue() {
		return qsnValue;
	}

	public void setQsnValue(String qsnValue) {
		this.qsnValue = qsnValue;
	}

	public String getQsnValueDynamicFetch() {
		return qsnValueDynamicFetch;
	}

	public void setQsnValueDynamicFetch(String qsnValueDynamicFetch) {
		this.qsnValueDynamicFetch = qsnValueDynamicFetch;
	}

	public String getQsnValueDynamicUpdateStage1() {
		return qsnValueDynamicUpdateStage1;
	}

	public void setQsnValueDynamicUpdateStage1(String qsnValueDynamicUpdateStage1) {
		this.qsnValueDynamicUpdateStage1 = qsnValueDynamicUpdateStage1;
	}

	public String getQsnReferenceStage1() {
		return qsnReferenceStage1;
	}

	public void setQsnReferenceStage1(String qsnReferenceStage1) {
		this.qsnReferenceStage1 = qsnReferenceStage1;
	}

	public String getQsnValueDynamicUpdateRO() {
		return qsnValueDynamicUpdateRO;
	}

	public void setQsnValueDynamicUpdateRO(String qsnValueDynamicUpdateRO) {
		this.qsnValueDynamicUpdateRO = qsnValueDynamicUpdateRO;
	}

	public String getQsnReferenceRO() {
		return qsnReferenceRO;
	}

	public void setQsnReferenceRO(String qsnReferenceRO) {
		this.qsnReferenceRO = qsnReferenceRO;
	}

	public String getQsnValueDynamicUpdateStage1HO() {
		return qsnValueDynamicUpdateStage1HO;
	}

	public void setQsnValueDynamicUpdateStage1HO(String qsnValueDynamicUpdateStage1HO) {
		this.qsnValueDynamicUpdateStage1HO = qsnValueDynamicUpdateStage1HO;
	}

	public String getQsnReferenceStage1HO() {
		return qsnReferenceStage1HO;
	}

	public void setQsnReferenceStage1HO(String qsnReferenceStage1HO) {
		this.qsnReferenceStage1HO = qsnReferenceStage1HO;
	}

	public String getQsnValueDynamicUpdateHO() {
		return qsnValueDynamicUpdateHO;
	}

	public void setQsnValueDynamicUpdateHO(String qsnValueDynamicUpdateHO) {
		this.qsnValueDynamicUpdateHO = qsnValueDynamicUpdateHO;
	}

	public String getQsnReferenceHO() {
		return qsnReferenceHO;
	}

	public void setQsnReferenceHO(String qsnReferenceHO) {
		this.qsnReferenceHO = qsnReferenceHO;
	}

	public String getCheckbox() {
		return checkbox;
	}

	public void setCheckbox(String checkbox) {
		this.checkbox = checkbox;
	}

	public String getCheckboxValue() {
		return checkboxValue;
	}

	public void setCheckboxValue(String checkboxValue) {
		this.checkboxValue = checkboxValue;
	}

	public String getCheckboxHO() {
		return checkboxHO;
	}

	public void setCheckboxHO(String checkboxHO) {
		this.checkboxHO = checkboxHO;
	}

	public String getCheckboxValueHO() {
		return checkboxValueHO;
	}

	public void setCheckboxValueHO(String checkboxValueHO) {
		this.checkboxValueHO = checkboxValueHO;
	}

	public String getStatusUpdate() {
		return statusUpdate;
	}

	public void setStatusUpdate(String statusUpdate) {
		this.statusUpdate = statusUpdate;
	} 	
}
